package mx.gob.jumapacelaya.models;

import java.time.LocalDate;

public class MantCorrectivosModel {
    private int mantenimientoId;
    private LocalDate fecha;
    private String tipo;
    private String area;
    private String nombre;
    private String forma;
    private String nomequipo;
    private String reparacion;

    public MantCorrectivosModel(int mantenimientoId, LocalDate fecha, String tipo,
                                String area, String nombre, String forma, String nomequipo, String reparacion) {

        this.mantenimientoId = mantenimientoId;
        this.fecha = fecha;
        this.tipo = tipo;
        this.area = area;
        this.nombre = nombre;
        this.forma = forma;
        this.nomequipo = nomequipo;
        this.reparacion = reparacion;
    }

    public int getMantenimientoId() {
        return mantenimientoId;
    }

    public void setMantenimientoId(int mantenimientoId) {
        this.mantenimientoId = mantenimientoId;
    }

    public LocalDate getFecha() {
        return fecha;
    }

    public void setFecha(LocalDate fecha) {
        this.fecha = fecha;
    }

    public String getTipo() {
        return tipo;
    }

    public void setTipo(String tipo) {
        this.tipo = tipo;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public String getForma() {
        return forma;
    }

    public void setForma(String forma) {
        this.forma = forma;
    }

    public String getNomequipo() {
        return nomequipo;
    }

    public void setNomequipo(String nomequipo) {
        this.nomequipo = nomequipo;
    }

    public String getReparacion() {
        return reparacion;
    }

    public void setReparacion(String reparacion) {
        this.reparacion = reparacion;
    }
}
